Summary:	RSA public-key cryptosystem
Name:		perl-Crypt-RSA
Version:	1.58
Release:	4%{?dist}.1
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Crypt-RSA/
Source0:	http://search.cpan.org/CPAN/authors/id/V/VI/VIPUL/Crypt-RSA-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:	noarch
BuildRequires:	perl(Class::Loader)		>= 2.00
BuildRequires:	perl(Convert::ASCII::Armour)
BuildRequires:	perl(Crypt::Random)		>= 0.34
BuildRequires:	perl(Crypt::Primes)		>= 0.38
BuildRequires:	perl(Crypt::CBC)
BuildRequires:	perl(Crypt::Blowfish)
BuildRequires:	perl(Data::Buffer)
BuildRequires:	perl(Digest::MD2)
BuildRequires:	perl(Digest::MD5)
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Math::Pari)		>= 2.001804
BuildRequires:	perl(Sort::Versions)
BuildRequires:	perl(Tie::EncryptedHash)

%description
Crypt::RSA is a pure-perl, cleanroom implementation of the RSA public-key
cryptosystem. It uses Math::Pari(3), a perl interface to the blazingly fast
PARI library, for big integer arithmetic and number theoretic computations.

Crypt::RSA provides arbitrary size key-pair generation, plaintext-aware
encryption (OAEP) and digital signatures with appendix (PSS). For compatibility
with SSLv3, RSAREF2, PGP and other applications that follow the PKCS #1 v1.5
standard, it also provides PKCS #1 v1.5 encryption and signatures.

%prep
%setup -q -n Crypt-RSA-%{version}

# Remove pointless shellbangs
/usr/bin/find ./lib -name '*.pm' -print | /usr/bin/xargs %{__sed} -i -e '/^#! *\/usr\/bin\/perl /d'

# Convert documentation to UTF-8
/usr/bin/iconv -f iso-8859-1 -t utf-8 -o lib/Crypt/RSA.pm.utf-8 lib/Crypt/RSA.pm
%{__mv} -f lib/Crypt/RSA.pm.utf-8 lib/Crypt/RSA.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

# Additional manpages
/usr/bin/pod2man --section=3 extradocs/crypt-rsa-interoperablity.pod \
	%{buildroot}%{_mandir}/man3/crypt-rsa-interoperablity.3
/usr/bin/pod2man --section=3 extradocs/crypt-rsa-interoperablity-template.pod \
	%{buildroot}%{_mandir}/man3/crypt-rsa-interoperablity-template.3

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ARTISTIC Changes COPYING README TODO
%{perl_vendorlib}/Crypt/
%{_mandir}/man3/Crypt::RSA.3pm*
%{_mandir}/man3/Crypt::RSA::DataFormat.3pm*
%{_mandir}/man3/Crypt::RSA::Debug.3pm*
%{_mandir}/man3/Crypt::RSA::ES::OAEP.3pm*
%{_mandir}/man3/Crypt::RSA::ES::PKCS1v15.3pm*
%{_mandir}/man3/Crypt::RSA::Errorhandler.3pm*
%{_mandir}/man3/Crypt::RSA::Key.3pm*
%{_mandir}/man3/Crypt::RSA::Key::Private.3pm*
%{_mandir}/man3/Crypt::RSA::Key::Private::SSH.3pm*
%{_mandir}/man3/Crypt::RSA::Key::Public.3pm*
%{_mandir}/man3/Crypt::RSA::Key::Public::SSH.3pm*
%{_mandir}/man3/Crypt::RSA::Primitives.3pm*
%{_mandir}/man3/Crypt::RSA::SS::PKCS1v15.3pm*
%{_mandir}/man3/Crypt::RSA::SS::PSS.3pm*
%{_mandir}/man3/crypt-rsa-interoperablity.3*
%{_mandir}/man3/crypt-rsa-interoperablity-template.3*

%changelog
* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.58-4
- rebuild for new perl

* Sun Aug 12 2007 Paul Howarth <paul@city-fan.org> 1.58-3
- Clarify license as GPL v1 or later, or Artistic (same as perl)

* Tue Apr 17 2007 Paul Howarth <paul@city-fan.org> 1.58-2
- Buildrequire perl(ExtUtils::MakeMaker)
- Fix argument order for find with -depth

* Fri Dec 22 2006 Paul Howarth <paul@city-fan.org> 1.58-1
- Update to 1.58
- GPL license text now included upstream (CPAN RT#18771)

* Tue Aug 29 2006 Paul Howarth <paul@city-fan.org> 1.57-3
- FE6 mass rebuild

* Tue Apr 18 2006 Paul Howarth <paul@city-fan.org> 1.57-2
- Fix non-UTF8-encoded manpage (#183888)
- Add manpages for crypt-rsa-interoperablity(3) and
  crypt-rsa-interoperablity-template(3) (#183888)

* Mon Nov 28 2005 Paul Howarth <paul@city-fan.org> 1.57-1
- Initial build
